<?php
/**
 * The template part for displaying a message that posts cannot be found.
 *
 * Learn more: https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package geeks
 */

$display_search_form = true;

if ( is_home() && current_user_can( 'publish_posts' ) ) {
	$get_started_link   = '<a href="' .  esc_url( admin_url( 'post-new.php' ) ) . '">' . esc_html__( 'Get started here', 'geeks' ) . '</a>';
	/* translators: 1: URL */
	$lead                = sprintf( wp_kses( esc_html__( 'Ready to publish your first post? %s.', 'geeks' ), array( 'a' => array( 'href' => array() ) ) ), $get_started_link );
	$display_search_form = false;
} elseif ( is_search() ) {
	$lead = esc_html__( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'geeks' );
} else {
	$lead = esc_html__( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching can help.', 'geeks' );
}

$args = array(
	'title'               => esc_html__( 'Nothing Found', 'geeks' ),
	'lead'                => $lead,
	'display_search_form' => $display_search_form,
);

?>

<div class="no-results not-found">
	<?php geeks_page_header_v2( $args ); ?>
</div><!-- .no-results -->
