<?php if( ! empty( $_GET['edd-verify-success'] ) ) : ?>
<p class="edd-account-verified edd_success">
	<?php esc_html_e( 'Your account has been successfully verified!', 'geeks' ); ?>
</p>
<?php
endif;
/**
 * This template is used to display the purchase history of the current user.
 */
if ( is_user_logged_in() ):
	$payments = edd_get_users_purchases( get_current_user_id(), 20, true, 'any' );
	if ( $payments ) :
		do_action( 'edd_before_purchase_history', $payments ); ?>
		<div class="card">
			<div class="table-responsive border-0 overflow-y-hidden">
				<table id="edd_user_history" class="edd-table table mb-0 text-nowrap">
					<thead>
						<tr class="edd_purchase_row">
							<?php do_action('edd_purchase_history_header_before'); ?>
							<th scope="col" class="border-0 p-3 edd_purchase_id"><?php esc_html_e('ID','geeks' ); ?></th>
							<th scope="col" class="border-0 p-3 edd_purchase_date"><?php esc_html_e('Date','geeks' ); ?></th>
							<th scope="col" class="border-0 p-3 edd_purchase_amount"><?php esc_html_e('Amount','geeks' ); ?></th>
							<th scope="col" class="border-0 p-3 edd_purchase_details"><?php esc_html_e('Details','geeks' ); ?></th>
							<?php do_action('edd_purchase_history_header_after'); ?>
						</tr>
					</thead>
					<?php foreach ( $payments as $payment ) : ?>
						<?php $payment = new EDD_Payment( $payment->ID ); ?>
						<tr class="edd_purchase_row">
							<?php do_action( 'edd_purchase_history_row_start', $payment->ID, $payment->payment_meta ); ?>
							<td class="p-3 edd_purchase_id">#<?php echo esc_html( $payment->number ) ?></td>
							<td class="p-3 edd_purchase_date"><?php echo date_i18n( get_option('date_format'), strtotime( $payment->date ) ); ?></td>
							<td class="p-3 edd_purchase_amount">
								<span class="edd_purchase_amount"><?php echo edd_currency_filter( edd_format_amount( $payment->total ) ); ?></span>
							</td>
							<td class="p-3 edd_purchase_details">
								<?php if( $payment->status != 'publish' ) : ?>
									<span class="edd_purchase_status <?php echo esc_attr( $payment->status ); ?>"><?php echo esc_html( $payment->status_nicename ); ?></span>
									<?php if ( $payment->is_recoverable() ) : ?>
										&mdash; <a href="<?php echo esc_url( $payment->get_recovery_url() ); ?>"><?php esc_html_e( 'Complete Purchase', 'geeks' ); ?></a>
									<?php endif; ?>
								<?php else: ?>
									<a href="<?php echo esc_url( add_query_arg( 'payment_key', $payment->key, edd_get_success_page_uri() ) ); ?>"><?php esc_html_e( 'View Details and Downloads', 'geeks' ); ?></a>
								<?php endif; ?>
							</td>
							<?php do_action( 'edd_purchase_history_row_end', $payment->ID, $payment->payment_meta ); ?>
						</tr>
					<?php endforeach; ?>
				</table>
			</div>
		</div>
		<?php
			echo edd_pagination( 
				array(
					'type'  => 'purchase_history',
					'total' => ceil( edd_count_purchases_of_customer() / 20 ) // 20 items per page
				)
			);
		?>
		<?php do_action( 'edd_after_purchase_history', $payments ); ?>
		<?php wp_reset_postdata(); ?>
	<?php else : ?>
		<p class="edd-no-purchases"><?php esc_html_e('You have not made any purchases','geeks' ); ?></p>
	<?php endif;
endif;
