<?php
/**
 * Geeks engine room
 *
 * @package geeks
 */

/**
 * Assign the Geeks version to a var
 */
$theme         = wp_get_theme( 'geeks' );
$geeks_version = $theme['Version'];
 
/**
 * Set the content width based on the theme's design and stylesheet.
 */
if ( ! isset( $content_width ) ) {
	$content_width = 1116; /* pixels */
}

$geeks = (object) array(
	'version'    => $geeks_version,

	/**
	 * Initialize all the things.
	 */
	'main'       => require get_template_directory() . '/inc/class-geeks.php',
	'customizer' => require get_template_directory() . '/inc/customizer/class-geeks-customizer.php',
);

require get_template_directory() . '/inc/geeks-functions.php';
require get_template_directory() . '/inc/geeks-template-hooks.php';
require get_template_directory() . '/inc/geeks-template-functions.php';
require get_template_directory() . '/inc/wordpress-shims.php';

if ( function_exists( 'wpforms' ) ) {
	require get_template_directory() . '/inc/wpforms/integration.php';
}

if ( geeks_is_gke_activated() ) {
	require get_template_directory() . '/inc/gke/geeks-gke-template-functions.php';

	//$geeks->gke_customizer = require get_template_directory() . '/inc/gke/class-geeks-gke-customizer.php';
}

if ( geeks_is_learnpress_activated() ) {
	$geeks->learnpress            = require get_template_directory() . '/inc/learnpress/class-geeks-learnpress.php';
	$geeks->learnpress_customizer = require get_template_directory() . '/inc/learnpress/class-geeks-learnpress-customizer.php';
	require get_template_directory() . '/inc/learnpress/geeks-learnpress-template-hooks.php';
	require get_template_directory() . '/inc/learnpress/geeks-learnpress-template-functions.php';
	require get_template_directory() . '/inc/learnpress/geeks-learnpress-functions.php';
}

if ( geeks_is_wp_job_manager_activated() ) {
	$geeks->wpjm            = require get_template_directory() . '/inc/wpjm/class-geeks-wpjm.php';
	$geeks->wpjm_customizer = require get_template_directory() . '/inc/wpjm/class-geeks-wpjm-customizer.php';

	require get_template_directory() . '/inc/wpjm/geeks-wpjm-functions.php';
	require get_template_directory() . '/inc/wpjm/geeks-wpjm-template-hooks.php';
	require get_template_directory() . '/inc/wpjm/geeks-wpjm-template-functions.php';
}

/**
 * Customizer Functions.
 */
require get_template_directory() . '/inc/customizer/geeks-customizer-functions.php';

if ( geeks_is_tutor_activated() ) {
	$geeks->tutor = require get_template_directory() . '/inc/tutor/class-geeks-tutor.php';

	require get_template_directory() . '/inc/tutor/geeks-tutor-template-hooks.php';
	require get_template_directory() . '/inc/tutor/geeks-tutor-template-functions.php';
	require get_template_directory() . '/inc/tutor/geeks-tutor-functions.php';

}

if ( geeks_is_woocommerce_activated() ) {
	$geeks->woocommerce = require get_template_directory() . '/inc/woocommerce/class-geeks-woocommerce.php';

	require get_template_directory() . '/inc/woocommerce/geeks-woocommerce-template-hooks.php';
	require get_template_directory() . '/inc/woocommerce/geeks-woocommerce-template-functions.php';
	require get_template_directory() . '/inc/woocommerce/geeks-woocommerce-functions.php';
	require get_template_directory() . '/inc/woocommerce/geeks-wc-template-functions-overrides.php';
	require get_template_directory() . '/inc/woocommerce/integrations.php';
}

/**
 * Social Share
 */
require get_template_directory() . '/inc/classes/class-geeks-socialshare.php';
require get_template_directory() . '/inc/classes/class-geeks-duration.php';


/**
 * ACF Integration
 */
require get_template_directory() . '/inc/acf/geeks-acf-functions.php'; // This should not be placed inside the acf_activated check because of fallback function.
if ( geeks_is_acf_activated() ) {
	require get_template_directory() . '/inc/acf/fields/fields.php';
	$geeks->acf = require get_template_directory() . '/inc/acf/class-geeks-acf.php';
	require get_template_directory() . '/inc/acf/geeks-acf-template-functions.php';
}

/**
 * TGM Plugin Activation class.
 */
require get_template_directory() . '/inc/classes/class-tgm-plugin-activation.php';

if ( is_admin() ) {
	$geeks->admin = require get_template_directory() . '/inc/admin/class-geeks-admin.php';
	require get_template_directory() . '/inc/admin/class-geeks-plugin-install.php';
}


if ( geeks_is_ocdi_activated() ) {
	$geeks->ocdi = require get_template_directory() . '/inc/ocdi/class-geeks-ocdi.php';
}

/**
 * Functions used for Geeks Custom Theme Color
 */
require get_template_directory() . '/inc/geeks-custom-color-functions.php';
