<?php
/**
 * Custom Footer Settings for Blog Taxomomy
 *
 * @package Geeks/ACF/Settings/Blog/Taxonomy
 */

acf_add_local_field_group(
	array(
		'key'                   => 'group_61406d8475101',
		'title'                 => esc_html__( 'Taxonomy Options - Geeks', 'geeks' ),
		'fields'                => array(
			array(
				'key'               => 'field_6140709fddf14',
				'label'             => esc_html__( 'Layout', 'geeks' ),
				'name'              => 'layout',
				'type'              => 'select',
				'instructions'      => esc_html__( 'Choose a layout for the archive page of this term. Enable sidebar from Appearance > Customize > Blog > General', 'geeks' ),
				'required'          => 0,
				'conditional_logic' => 0,
				'wrapper'           => array(
					'width' => '',
					'class' => '',
					'id'    => '',
				),
				'choices'           => array(
					'fullwidth'     => 'Fullwidth',
					'right-sidebar' => 'Right Sidebar',
					'left-sidebar'  => 'Left Sidebar',
				),
				'default_value'     => 'fullwidth',
				'allow_null'        => 0,
				'multiple'          => 0,
				'ui'                => 0,
				'return_format'     => 'value',
				'ajax'              => 0,
				'placeholder'       => '',
			),
			array(
				'key'               => 'field_61406dafddf13',
				'label'             => esc_html__( 'Context Class', 'geeks' ),
				'name'              => 'context_class',
				'type'              => 'select',
				'instructions'      => esc_html__( 'Choose a context class for this term. It can reflects in the color of the link generated.', 'geeks' ),
				'required'          => 0,
				'conditional_logic' => 0,
				'wrapper'           => array(
					'width' => '',
					'class' => '',
					'id'    => '',
				),
				'choices'           => array(
					'primary'         => 'Primary',
					'secondary'       => 'Secondary',
					'success'         => 'Success',
					'info'            => 'Info',
					'warning'         => 'Warning',
					'danger'          => 'Danger',
					'light'           => 'Light',
					'dark'            => 'Dark',
					'white'           => 'White',
					'light-primary'   => 'Light Primary',
					'light-danger'    => 'Light Danger',
					'light-info'      => 'Light Info',
					'light-warning'   => 'Light Warning',
					'light-secondary' => 'Light Secondary',
					'light-success'   => 'Light Success',
					'light-dark'      => 'Light Dark',
					'dark-primary'    => 'Dark Primary',
					'dark-warning'    => 'Dark Warning',
					'dark-info'       => 'Dark Info',
					'dark-danger'     => 'Dark Danger',
					'dark-success'    => 'Dark Success',
					'dark-secondary'  => 'Dark Secondary',
					'black'           => 'Black',
					'body'            => 'Body',
					'gray-100'        => 'Gray 100',
					'gray-200'        => 'Gray 200',
					'gray-300'        => 'Gray 300',
					'gray-400'        => 'Gray 400',
					'gray-500'        => 'Gray 500',
					'gray-600'        => 'Gray 600',
					'gray-700'        => 'Gray 700',
					'gray-800'        => 'Gray 800',
					'gray-900'        => 'Gray 900',
					'muted'           => 'Muted',
					'black-50'        => 'Black-50',
					'white-50'        => 'White-50',
					'reset'           => 'Reset',
					'opacity-25'      => 'Opacity 25',
					'opacity-50'      => 'Opacity 50',
					'opacity-75'      => 'Opacity 75',
					'opacity-100'     => 'Opacity 100',
				),
				'default_value'     => 'danger',
				'allow_null'        => 0,
				'multiple'          => 0,
				'ui'                => 0,
				'return_format'     => 'value',
				'ajax'              => 0,
				'placeholder'       => '',
			),
		),
		'location'              => array(
			array(
				array(
					'param'    => 'taxonomy',
					'operator' => '==',
					'value'    => 'category',
				),
			),
			array(
				array(
					'param'    => 'taxonomy',
					'operator' => '==',
					'value'    => 'post_tag',
				),
			),
		),
		'menu_order'            => 0,
		'position'              => 'normal',
		'style'                 => 'default',
		'label_placement'       => 'top',
		'instruction_placement' => 'label',
		'hide_on_screen'        => '',
		'active'                => true,
		'description'           => '',
	)
);
