<?php
/**
 * ACF Options for Single Post.
 *
 * @package Geeks/ACF/Settings/Course/CourseCategory
 */

acf_add_local_field_group(
	array(
		'key'                   => 'group_615d5c35e0a53',
		'title'                 => 'Course Category Settings - Geeks',
		'fields'                => array(
			array(
				'key'               => 'field_615d5f12a497e',
				'label'             => 'Before Courses',
				'name'              => 'content_before_courses',
				'type'              => 'post_object',
				'instructions'      => 'Select the static content that you want to display before courses',
				'required'          => 0,
				'conditional_logic' => 0,
				'wrapper'           => array(
					'width' => '',
					'class' => '',
					'id'    => '',
				),
				'post_type'         => array(
					0 => 'mas_static_content',
				),
				'taxonomy'          => '',
				'allow_null'        => 0,
				'multiple'          => 0,
				'return_format'     => 'id',
				'ui'                => 1,
			),
			array(
				'key'               => 'field_615d6e3e8fd65',
				'label'             => 'Enable Courses Header',
				'name'              => 'enable_courses_header',
				'type'              => 'true_false',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => 0,
				'wrapper'           => array(
					'width' => '',
					'class' => '',
					'id'    => '',
				),
				'message'           => 'Select this to enable a header before displaying courses',
				'default_value'     => 0,
				'ui'                => 0,
				'ui_on_text'        => '',
				'ui_off_text'       => '',
			),
			array(
				'key'               => 'field_615d6e6c0c46a',
				'label'             => 'Courses Header',
				'name'              => 'courses_section_header',
				'type'              => 'group',
				'instructions'      => '',
				'required'          => 0,
				'conditional_logic' => array(
					array(
						array(
							'field'    => 'field_615d6e3e8fd65',
							'operator' => '==',
							'value'    => '1',
						),
					),
				),
				'wrapper'           => array(
					'width' => '',
					'class' => '',
					'id'    => '',
				),
				'layout'            => 'row',
				'sub_fields'        => array(
					array(
						'key'               => 'field_615d6e760c46b',
						'label'             => 'Title',
						'name'              => 'title',
						'type'              => 'text',
						'instructions'      => '',
						'required'          => 0,
						'conditional_logic' => 0,
						'wrapper'           => array(
							'width' => '',
							'class' => '',
							'id'    => '',
						),
						'default_value'     => '',
						'placeholder'       => '',
						'prepend'           => '',
						'append'            => '',
						'maxlength'         => '',
					),
					array(
						'key'               => 'field_615d6e840c46c',
						'label'             => 'Description',
						'name'              => 'description',
						'type'              => 'text',
						'instructions'      => '',
						'required'          => 0,
						'conditional_logic' => 0,
						'wrapper'           => array(
							'width' => '',
							'class' => '',
							'id'    => '',
						),
						'default_value'     => '',
						'placeholder'       => '',
						'prepend'           => '',
						'append'            => '',
						'maxlength'         => '',
					),
				),
			),
		),
		'location'              => array(
			array(
				array(
					'param'    => 'taxonomy',
					'operator' => '==',
					'value'    => 'course-category',
				),
			),
		),
		'menu_order'            => 0,
		'position'              => 'normal',
		'style'                 => 'default',
		'label_placement'       => 'top',
		'instruction_placement' => 'label',
		'hide_on_screen'        => '',
		'active'                => true,
		'description'           => '',
	)
);

