<?php
/**
 * ACF Options for Single Post.
 *
 * @package Geeks/ACF/Settings/Blog/SinglePost
 */

acf_add_local_field_group(
	array(
		'key'                   => 'group_61409320637f6',
		'title'                 => esc_html__( 'Single Post Options - Geeks', 'geeks' ),
		'fields'                => array(
			array(
				'key'               => 'field_614093283a3e4',
				'label'             => esc_html__( 'Main Category', 'geeks' ),
				'name'              => 'main_category',
				'type'              => 'taxonomy',
				'instructions'      => esc_html__( 'Choose a main category to be displayed in posts loop. If nothing is chosen, all selected categories will be displayed.', 'geeks' ),
				'required'          => 0,
				'conditional_logic' => 0,
				'wrapper'           => array(
					'width' => '',
					'class' => '',
					'id'    => '',
				),
				'taxonomy'          => 'category',
				'field_type'        => 'select',
				'allow_null'        => 0,
				'add_term'          => 0,
				'save_terms'        => 0,
				'load_terms'        => 0,
				'return_format'     => 'object',
				'multiple'          => 0,
			),
		),
		'location'              => array(
			array(
				array(
					'param'    => 'post_type',
					'operator' => '==',
					'value'    => 'post',
				),
			),
		),
		'menu_order'            => 0,
		'position'              => 'normal',
		'style'                 => 'default',
		'label_placement'       => 'top',
		'instruction_placement' => 'label',
		'hide_on_screen'        => '',
		'active'                => true,
		'description'           => '',
	)
);
