<?php
/**
 * Geeks formatting functions.
 */

/**
 * Get all available text colors.
 *
 * @return array
 */
function geeks_get_all_text_color_classes() {
	return apply_filters(
		'geeks_text_color_classes',
		[
			'text-primary',
			'text-success',
			'text-info',
			'text-danger',
		]
	);
}

/**
 * Randomize text-color class
 *
 * @return string
 */
function geeks_get_random_text_color_class() {
	$color_classes = geeks_get_all_text_color_classes();
	$rand_index    = array_rand( $color_classes );
	return $color_classes[ $rand_index ];
}