<?php
/**
 * Geeks hooks
 *
 * @package geeks
 */

/**
 * General
 */
add_filter( 'the_content', 'geeks_setup_prose', 20 );
add_filter( 'wp_generate_tag_cloud_data', 'geeks_wp_generate_tag_cloud_data' );
add_filter( 'the_password_form', 'geeks_post_protected_password_form' );

/**
 * Header
 */
add_action( 'geeks_header', 'geeks_site_branding', 10 );
add_action( 'geeks_header', 'geeks_navbar_toggler', 30 );
add_action( 'geeks_header', 'geeks_navbar_collapse_start', 40 );
add_action( 'geeks_header', 'geeks_navbar_nav_primary', 50 );
add_action( 'geeks_header', 'geeks_navbar_search', 60 );
add_action( 'geeks_header', 'geeks_navbar_right', 70 );
add_action( 'geeks_header', 'geeks_navbar_button', 80 );

add_action( 'geeks_header', 'geeks_navbar_collapse_end', 90 );

add_action( 'geeks_header_speciality', 'geeks_site_branding', 10 );
add_action( 'geeks_header', 'geeks_navbar_right_wrap_start', 19 );

add_action( 'geeks_header', 'geeks_navbar_right', 21 );
add_action( 'geeks_header', 'geeks_navbar_collapse_end', 22 );



/**
 * Footer
 */
add_action( 'geeks_footer_v1', 'geeks_footer_widgets', 10 );
add_action( 'geeks_footer_v1', 'geeks_credit', 20 );

add_action( 'geeks_footer_v2', 'geeks_footer_menu_wrap', 10 );
add_action( 'geeks_footer_v2', 'geeks_footer_social_media_links_wrap', 20 );
add_action( 'geeks_footer_v2', 'geeks_footer_copyright_wrap', 30 );


add_action( 'geeks_footer_speciality', 'geeks_footer_speciality_copyright_wrap', 10 );
add_action( 'geeks_footer_speciality', 'geeks_footer_speciality_social_media_links_wrap', 20 );

/**
 * Posts
 */
add_action( 'geeks_loop_post', 'geeks_loop_post_category', 10 );
add_action( 'geeks_loop_post', 'geeks_loop_post_title', 20 );
add_action( 'geeks_loop_post', 'geeks_loop_post_excerpt', 30 );
add_action( 'geeks_loop_post', 'geeks_loop_post_author_info', 40 );

add_action( 'geeks_loop_content_after', 'geeks_paging_nav', 10 );
add_action( 'geeks_index_before', 'geeks_archive_header', 10 );
add_action( 'geeks_loop_content_before', 'geeks_blog_home_categories_menu', 10 );

/**
 * Comments
 */
add_filter( 'comment_form_default_fields', 'geeks_comment_form_default_fields', 20 );
add_filter( 'get_comment_author_link', 'geeks_add_comment_link_class', 40 );

/**
 * Single Post
 */
add_action( 'geeks_single_post_top', 'geeks_single_post_header', 10 );
add_action( 'geeks_single_post_top', 'geeks_single_post_info_bar_top', 20 );

add_action( 'geeks_single_post', 'geeks_single_post_featured_image', 20 );

add_action( 'geeks_single_post_bottom', 'geeks_single_post_content', 10 );
add_action( 'geeks_single_post_bottom', 'geeks_single_post_tags', 15 );
add_action( 'geeks_single_post_bottom', 'geeks_single_post_content_divider', 20 );

add_action( 'geeks_single_post_bottom', 'geeks_single_post_info_bar', 30 );
add_action( 'geeks_single_post_bottom', 'geeks_display_comments', 40 );
add_action( 'geeks_single_post_bottom', 'geeks_single_post_newsletter', 50 );

add_filter( 'excerpt_length', 'geeks_custom_excerpt_length', 999 );
add_filter( 'excerpt_more', 'geeks_new_excerpt_more', 20 );
add_action( 'geeks_after_single_post', 'geeks_single_related_post', 40 );

/**
 * Pages
 */
add_action( 'geeks_page', 'geeks_page_header', 10 );
add_action( 'geeks_page', 'geeks_page_content', 20 );

add_action( 'geeks_page_fw', 'geeks_page_header', 10 );
add_action( 'geeks_page_fw', 'geeks_page_content_fw', 20 );
