<?php
/**
 * Template functions used in checkout page
 */

if ( ! function_exists( 'geeks_checkout_content_wrap_start' ) ) {
	/**
	 * Output wrapper start for checkout content
	 */
	function geeks_checkout_content_wrap_start() {
		?><div class="container py-6"><?php
			learn_press_print_messages( true );

	}
}

if ( ! function_exists( 'geeks_checkout_content_wrap_end' ) ) {
	/**
	 * Output wrapper start for checkout content
	 */
	function geeks_checkout_content_wrap_end() {
		?></div><?php
	}
}

if ( ! function_exists( 'geeks_order_received_action_buttons' ) ) {
	/**
	 * Output action buttons in order received page.
	 */
	function geeks_order_received_action_buttons( $order ) {
		$items = $order->get_items();
		$count = count( $items );
		$link  = '';

		foreach ( $items as $item ) {
			if ( ! empty( $item['course_id'] ) ) {
				$link = get_the_permalink( $item['course_id'] );
				break;
			}
		}

		$page_id = learn_press_get_page_id( 'profile' );
		
		?><div class="d-flex justify-content-between">
			<?php if ( ! empty( $page_id ) ): ?>
				<a href="<?php echo esc_url( get_permalink( $page_id ) ); ?>" class="btn btn-secondary"><?php esc_html_e( 'Go to my account', 'geeks' ); ?></a>
			<?php endif; ?>
			<?php if ( ! empty( $link ) ) : ?>
				<a href="<?php echo esc_url( $link ); ?>" class="btn btn-secondary"><?php esc_html_e( 'Go to the course', 'geeks' ); ?></a>
			<?php endif; ?>
		</div><?php
	}
}