<?php
/**
 * Template functions that are common across learnpress
 */

if ( ! function_exists( 'geeks_output_courses' ) ) {
	/**
	 * Outputs Course Grid view
	 */
	function geeks_output_courses( $courses, $cols = array() ) {
		if ( $courses && $courses->have_posts() ) {

			$default_cols = [
				''   => 1,
				'md' => 2,
				'lg' => 4
			];

			$cols = wp_parse_args( $default_cols, $cols );
			
			?><ul class="list-unstyled mb-6 <?php echo esc_attr( get_row_cols( $cols ) ); ?>"><?php
			
			while ( $courses->have_posts() ) {
				$courses->the_post();
				
				learn_press_get_template_part( 'content', 'course-grid-view' );
			}

			LP()->template( 'course' )->end_courses_loop();

			wp_reset_postdata();
		} else {
			?><div class="alert alert-warning"><?php esc_html_e( 'No courses found.', 'geeks' ); ?></div><?php
		}
	}
}

function geeks_lp_print_messages() {

	$action = current_action();
	
	$item = LP_Global::course_item();
	if ( 'learn_press_before_main_content' === $action && $item ) {
		return;
	}

	if ( 'learn_press_before_main_content' === $action && learn_press_is_profile() ) {
		return;
	}
	learn_press_print_messages( true );
}