<?php
/**
 * Template functions used to display Instructor
 */

if ( ! function_exists( 'geeks_output_instructors' ) ) {
	/**
	 * Outputs Instructors
	 */
	function geeks_output_instructors( $instructors, $cols = array() ) {

		if ( $instructors && ! empty( $instructors->get_results() ) ) :

			$default_cols = [
				''   => 1,
				'md' => 2,
				'lg' => 4
			];

			$cols = wp_parse_args( $default_cols, $cols );
			
			?>
			<div class="<?php echo esc_attr( get_row_cols( $cols ) ); ?>">
				<?php 
				foreach ( $instructors->get_results() as $user ) :
					$user_id    = $user->ID;
					$instructor = geeks_get_instructor( $user_id );
					$stats      = geeks_get_instructor_stats( $user_id, 'grid' );
					
					unset( $stats['reviews'] );

					learn_press_get_template( 'content-instructor-grid-view.php', array( 'stats' => $stats, 'instructor' => $instructor ) );

				endforeach; ?>
			</div>
		<?php else: ?>
			<div class="alert alert-warning"><?php echo esc_html_e( 'No Instructors found.', 'geeks' ); ?></div>
		<?php

		endif;
	}
}