<?php
/**
 * Template functions used in Single Item
 */

if ( ! function_exists( 'geeks_item_meta_duration' ) ) {
    function geeks_item_meta_duration( $item ) {

        $duration = $item->get_duration();

        if ( is_a( $duration, 'LP_Duration' ) && $duration->get() ) {
            $format = array(
                'day'    => esc_html_x( '%sd', 'duration', 'geeks' ),
                'hour'   => esc_html_x( '%sh', 'duration', 'geeks' ),
                'minute' => esc_html_x( '%sm', 'duration', 'geeks' ),
                'second' => esc_html_x( '%ss', 'duration', 'geeks' ),
            );

            echo '<span class="item-meta duration">' . $duration->to_timer( $format, true ) . '</span>';
        } elseif ( is_string( $duration ) && strlen( $duration ) ) {
            echo '<span class="item-meta duration">' . $duration . '</span>';
        }
    }
}

if ( ! function_exists( 'geeks_quiz_meta_questions' ) ) {
    function geeks_quiz_meta_questions( $item ) {
        $count = $item->count_questions();
        if ( $count > 0 ) :
            ?>
            <span class="me-1"><?php echo esc_html( sprintf( $count ? _n( '%dq', '%dq', $count, 'geeks' ) : esc_html__( '%dq', 'geeks' ), $count ) ); ?></span>
            <?php
        endif;
    }
}
