<?php
/**
 * Template for displaying course rate.
 *
 * This template can be overridden by copying it to yourtheme/learnpress/addons/course-review/course-rate.php.
 *
 * @author  ThimPress
 * @package LearnPress/Course-Review/Templates
 * version  3.0.1
 */

// Prevent loading this file directly
defined( 'ABSPATH' ) || exit;

$course_id       = get_the_ID();
$course_rate_res = learn_press_get_course_rate( $course_id, false );
$course_rate     = $course_rate_res['rated'];
$total           = $course_rate_res['total'];

?>
<div class="row align-items-center mb-3">
	<div class="col-auto text-center">
		<h3 class="display-2 fw-bold"><?php echo esc_html( number_format_i18n( $course_rate, 1 ) ); ?></h3>
		<?php learn_press_course_review_template( 'rating-stars.php', array( 'rated' => $course_rate ) ); ?>
		<p class="mb-0 fs-6">(<?php echo esc_html( sprintf( _nx( 'Based on %s review', 'Based on %s reviews', $total, 'total number of reviews', 'geeks' ), number_format_i18n( $total ) ) ); ?>)</p>
	</div>
	<!-- Progress bar -->
	<div class="col pt-3 order-3 order-md-2">
		<?php foreach ( $course_rate_res['items'] as $item ): ?>
		<div class="progress mb-3" style="height: 6px;">
			<div class="progress-bar bg-warning" role="progressbar" style="width: <?php echo esc_attr( $item['percent'] ); ?>%;" aria-valuenow="<?php echo esc_attr( $item['percent'] ); ?>" aria-valuemin="0" aria-valuemax="100"></div>
		</div>
		<?php endforeach; ?>
	</div>
	<!-- Rating -->
	<div class="col-md-auto col-6 order-2 order-md-3">
		<?php foreach ( $course_rate_res['items'] as $item ): ?>
		<!-- Rating -->
		<div><?php 

		for ( $i = 1; $i <=5; $i++ ) :  
			if ( $i <= $item['rated'] ) : ?>
				<i class="mdi mdi-star me-n1 text-warning"></i><?php 
			else: ?>
				<i class="mdi mdi-star me-n1 text-gray"></i><?php 
			endif; 
		endfor; ?>
			<span class="ms-1"><?php echo esc_html( $item['percent'] ); ?>%</span>
		</div>

		<?php endforeach; ?>
	</div>
</div>

<?php if ( $total > 0 ) :?>
<hr class="my-5">
<?php endif; ?>