<?php
/**
 * Template for displaying course review.
 *
 * This template can be overridden by copying it to yourtheme/learnpress/addons/course-review/course-review.php.
 *
 * @author ThimPress
 * @package LearnPress/Course-Review/Templates
 * @version 3.0.1
 */

// Prevent loading this file directly
defined( 'ABSPATH' ) || exit;

$course_id     = get_the_ID();
$paged         = ! empty( $_REQUEST['paged'] ) ? intval( $_REQUEST['paged'] ) : 1;
$course_review = learn_press_get_course_review( $course_id, $paged );//echo'<pre>';print_r($course_review);die;

if ( $course_review['total'] ) {
	$reviews = $course_review['reviews']; ?>
    <div id="course-reviews" class="mb-3">
        <div class="d-lg-flex align-items-center justify-content-between mb-5">
            <div class="mb-3 mb-lg-0">
                <h3 class="mb-0"><?php esc_html_e( 'Reviews', 'geeks' ); ?></h3>
            </div>
        </div><?php 

        $total_reviews = count( $reviews );
        $i = 0;
        foreach ( $reviews as $review ) {

            ?><div class="geeks-course__review<?php if ( ++$i !== $total_reviews ) : ?> border-bottom pb-4 mb-4<?php endif; ?>"><?php
                learn_press_course_review_template( 'loop-review.php', array( 'review' => $review ) );
            ?></div><?php
        }

		if ( empty( $course_review['finish'] ) ) { 
            ?><div class="loading btn btn-primary"><?php esc_html_e( 'Loading...', 'geeks' ); ?></div><?php 
        }
		
        if ( empty( $course_review['finish'] ) ) { 
            ?><button class="button course-review-load-more" id="course-review-load-more"
                    data-paged="<?php echo esc_attr( $course_review['paged'] ); ?>"><?php esc_html_e( 'Load More', 'geeks' ); ?></button><?php
        }
    ?></div><?php 
}