<?php
/**
 * Template for displaying loop course review.
 *
 * This template can be overridden by copying it to yourtheme/learnpress/addons/course-review/loop-review.php.
 *
 * @author ThimPress
 * @package LearnPress/Course-Review/Templates
 * version  3.0.1
 */

// Prevent loading this file directly
defined( 'ABSPATH' ) || exit;

?>
<div class="d-flex">
    <?php echo get_avatar( $review->user_email, 56, '', '', [ 'class' => 'rounded-circle avatar-lg' ] ); ?>
    <div class="ms-3">
        <h4 class="mb-1">
            <?php do_action( 'learn_press_before_review_username' ); ?>
            <?php echo esc_html( $review->display_name ); ?>
            <?php do_action( 'learn_press_after_review_username' ); ?>
            <span class="ms-1 fs-6 text-muted"><?php echo sprintf( esc_html__( '%s ago', 'geeks' ), human_time_diff( get_comment_date( 'U', $review->comment_id ) ) ); ?></span>
        </h4>
        <div class="fs-6 mb-2">
            <?php learn_press_course_review_template( 'rating-stars.php', array( 'rated' => $review->rate ) ); ?>
        </div>
        
        <?php do_action( 'learn_press_before_review_title' ); ?>
        <h5><?php echo esc_html( $review->title ); ?></h5>
        <?php do_action( 'learn_press_after_review_title' ); ?>
        
        <?php do_action( 'learn_press_before_review_content' ); ?>
        <?php echo wp_kses_post( $review->content ); ?>
        <?php do_action( 'learn_press_after_review_content' ); ?>
    </div>
</div>