<?php
/**
 * Template for displaying checkout form.
 *
 * This template can be overridden by copying it to yourtheme/learnpress/checkout/form.php.
 *
 * @author   ThimPress
 * @package  Learnpress/Templates
 * @version  4.0.1
 */

defined( 'ABSPATH' ) || exit();

$checkout = LP()->checkout();

learn_press_print_messages();

if ( ! is_user_logged_in() ) {
	?>
	<div class="learn-press-message error alert alert-warning">
		<?php esc_html_e( 'Please login to enroll the course!', 'geeks' ); ?>
	</div>
	<?php
}
?>

	<form method="post" id="learn-press-checkout-form" name="learn-press-checkout-form" class="lp-checkout-form" tabindex="0" action="<?php echo esc_url( learn_press_get_checkout_url() ); ?>" enctype="multipart/form-data">
		<div class="row">
			<?php
			if ( has_action( 'learn-press/before-checkout-form' ) ) {
				?>
				<div class="lp-checkout-form__before col-lg-4 col-md-12 col-12 order-2">
					<?php do_action( 'learn-press/before-checkout-form' ); ?>
				</div>
				<?php
			}

			do_action( 'learn-press/checkout-form' );

			if ( has_action( 'learn-press/after-checkout-form' ) ) {
				?>
				<div class="lp-checkout-form__after col-xl-8 col-lg-8 col-md-12 col-12 order-1">
					<?php do_action( 'learn-press/after-checkout-form' ); ?>
				</div>
				<?php
			}
			?>
		</div>
	</form>

<?php
