<?php
/**
 * Template for display instructor content with the loop in grid view
 *
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

$user_id = $instructor->get_id();

?><div class="instructor-col col">
    <div class="card mb-4">
        <div class="card-body">
            <div class="text-center">
                <?php echo wp_kses( geeks_get_instructor_avatar( $instructor, 80, 'rounded-circle avatar-xl mb-3' ), array( 'img' => array( 'src' => [], 'alt' => [], 'class' => [] ) ) ); ?>
                <h4 class="mb-0"><?php echo esc_html( $instructor->get_display_name() ); ?></h4>
                <p class="mb-0 font-size-xs text-muted"><?php echo esc_html( geeks_acf_get_user_byline( $user_id ) ); ?></p>
            </div>
            <?php
                $last  = array_key_last( $stats );
                $first = array_key_first( $stats );
                
                foreach( $stats as $key => $stat ) :
                    $stat_class = 'd-flex justify-content-between border-bottom py-2';

                    if ( $first === $key ) {
                        $stat_class .= ' mt-4';
                    }

                    if ( $last === $key ) {
                        $stat_class = 'd-flex justify-content-between pt-2'; 
                    }
            ?>
                <div class="<?php echo esc_attr( $stat_class ); ?>">
                    <span><?php echo esc_html( $stat['label'] ); ?></span>
                    <?php if ( 0 === absint( $stat['value'] ) ) : ?>
                        <span class="text-muted"><?php echo esc_html_e( 'n/a', 'geeks' ); ?></span>
                    <?php else : ?>
                        <?php if ( 'rating' === $key ) : ?>
                        <span class="text-warning"><?php echo esc_html( $stat['value'] ); ?> <i class="mdi mdi-star"></i></span>
                        <?php else : ?>
                        <span class="text-dark"><?php echo esc_html( number_format_i18n( $stat['value'] ) ); ?></span>
                        <?php endif; ?>
                    <?php endif; ?>
                </div>
            <?php endforeach; ?>
        </div>
    </div>
</div>