<?php
/**
 * Template for displaying title of quiz.
 *
 * This template can be overridden by copying it to yourtheme/learnpress/content-quiz/title.php.
 *
 * @author   ThimPress
 * @package  Learnpress/Templates
 * @version  3.0.0
 */

defined( 'ABSPATH' ) || exit();

$quiz   = LP_Global::course_item_quiz();
$course = LP_Global::course();
$title  = $quiz->get_heading_title( 'display' );

if ( ! $title ) {
	return;
}
$excerpt = get_the_excerpt(); 

?>

<div class="d-flex align-items-center justify-content-between mb-4">
    <div>
        <h3 class="course-item-title quiz-title text-truncate-line-2 mb-0"><?php echo esc_html( $title ); ?></h3>
    </div>

    <?php if ( ! empty( $excerpt ) ) : ?>
        <div>
            <span class="dropdown">
                <a href="#" class="mr-2 text-muted" id="dropdownInfo" data-bs-toggle="dropdown" aria-expanded="false">
                  <i class="fe fe-help-circle"></i>
                </a>
                <span class="dropdown-menu dropdown-menu-lg p-3 dropdown-menu-right" aria-labelledby="dropdownInfo">
                <?php echo esc_html( wp_strip_all_tags( get_the_excerpt() ) ); ?>        
                </span>
            </span>
        </div>
    <?php endif; ?>
</div>
