<?php
/**
 * Lost password form
 *
 * This template can be overridden by copying it to yourtheme/learnpress/global/form-lost-password.php.
 *
 */

defined( 'ABSPATH' ) || exit;

?>
<div id="view-lost-password" class="view card shadow">
	<div class="card-body p-6">
		
		<div class="mb-4">
			<?php geeks_profile_form_branding(); ?>
			<h3 class="mb-1 fw-bold h1"><?php echo esc_html_x( 'Forgot Password', 'forgot-password-heading', 'geeks' ); ?></h3>
			<p><?php echo apply_filters( 'geeks_lost_password_message', esc_html__( 'Lost your password? Please enter your username or email address. You will receive a link to create a new password via email.', 'geeks' ) ); ?></p><?php // @codingStandardsIgnoreLine ?>
		</div>
		
		<?php do_action( 'geeks_before_lost_password_form' ); ?>
		
		<form method="post" class="lost_reset_password">

			<div class="mb-3">
				<label for="user_login" class="form-label"><?php esc_html_e( 'Username or email', 'geeks' ); ?></label>
				<input class="form-control" type="text" name="user_login" id="user_login" autocomplete="username" />
			</div>

			<?php do_action( 'geeks_lostpassword_form' ); ?>

			<div class="mb-3 d-grid">
				<input type="hidden" name="geeks_reset_password" value="true" />
				<button type="submit" class="btn btn-primary" value="<?php esc_attr_e( 'Reset password', 'geeks' ); ?>"><?php esc_html_e( 'Send Reset Link', 'geeks' ); ?></button>
			</div>

			<?php wp_nonce_field( 'lost_password', 'geeks-lost-password-nonce' ); ?>

			<span><?php echo wp_kses( sprintf( esc_html__( 'Return to %ssign in%s', 'geeks' ), '<a href="#view-login" data-view="#view-login">', '</a>' ), [ 'a' => [ 'href' => true, 'data-view' => true ] ] ); ?></span>

		</form>
		
		<?php do_action( 'geeks_after_lost_password_form' ); ?>

	</div><!-- /.card-body -->
</div><!-- /.card -->