<?php
/**
 * User Profile Header
 */
if ( ! isset( $profile ) ) {
	return;
}

$user = $profile->get_user();

if ( geeks_is_dashboard_profile() ) :
?>
<div class="row align-items-center">
	<div class="col-xl-12 col-lg-12 col-md-12 col-12">
		<!-- Bg -->
		<div class="pt-16 rounded-top-md" style="background: url(<?php echo esc_url( get_template_directory_uri() ); ?>/assets/images/background/profile-bg.jpg) no-repeat; background-size: cover;"></div>
		<div class="d-flex align-items-end justify-content-between bg-white px-4 pt-2 pb-4 rounded-none rounded-bottom-md shadow-sm">
			<div class="d-flex align-items-center">
				<div class="me-2 position-relative d-flex justify-content-end align-items-end mt-n5">
					<?php 
					$avatar = geeks_get_profile_pic( $profile, 80, array( 'class' => 'avatar-xl rounded-circle border border-4 border-white position-relative avatar' ) );

					echo wp_kses_post( $avatar );
					?>
				</div>
				<div class="lh-1">
					<h2 class="mb-0"><?php echo esc_html( $user->get_display_name() ); ?></h2>
					<p class="mb-0 d-block">@<?php echo esc_html( $user->get_username() ); ?></p>
				</div>
			</div>
		</div>
	</div>
</div>
<?php else: ?>
<div class="py-20" style="background: url(<?php echo esc_url( get_template_directory_uri() ); ?>/assets/images/background/profile-bg.jpg) no-repeat; background-position: center;"></div>
<div class="card p-lg-2 pt-2 pt-lg-0 rounded-0 border-0">
	<div class="container">
		<div class="row align-items-center">
			<div class="col-lg-8 col-md-8 col-12">
				<div class="d-flex align-items-center">
					<div class="position-relative mt-n9">
						<?php 
						$avatar = geeks_get_profile_pic( $profile, 80, array( 'class' => 'rounded-circle avatar-xxl border-white border border-4 position-relative' ) );

						echo wp_kses_post( $avatar );
						?>
					</div>
					<div class="ms-3">
						<div class="d-flex align-items-center">
							<h3 class="mb-0 fw-bold me-2"><?php echo esc_html( $user->get_display_name() ); ?></h3>
							<?php if ( $user->is_instructor() ) : ?>
							<span class="badge bg-light-primary text-primary"><?php esc_html_e( 'Instructor', 'geeks' ); ?></span>
							<?php endif; ?>
						</div>
						<?php 
						$user_description = $user->get_description();
						if ( ! empty ( $user_description ) ) : ?>
						<span class="fs-6"><?php echo esc_html( $user_description ); ?></span>
						<?php endif; ?>
					</div>
				</div>
			</div>
			<div class="col-lg-4 col-md-4 col-12">
				<div class="fs-4 mt-4 mt-lg-0 pb-2 pb-lg-0 d-lg-flex justify-content-end">
					<a href="#" class="mdi mdi-youtube text-muted me-2"></a>
					<a href="#" class="mdi mdi-link-variant text-muted me-2"></a>
					<a href="#" class="mdi mdi-instagram text-muted me-2"></a>
					<a href="#" class="mdi mdi-facebook text-muted me-2"></a>
					<a href="#" class="mdi mdi-twitter text-muted"></a>
				</div>
			</div>
		</div>
	</div>
</div>
<?php endif; ?>