<?php
/**
 * Template for displaying header of single course popup.
 *
 * This template can be overridden by copying it to yourtheme/learnpress/single-course/header.php.
 *
 * @author   ThimPress
 * @package  Learnpress/Templates
 * @version  4.0.0
 */

defined( 'ABSPATH' ) || exit();

$user   = learn_press_get_current_user();
$course = LP_Global::course();

if ( ! $course || ! $user ) {
	return;
}

$course_data    = $user->get_course_data( $course->get_id() );
$course_results = $course_data->calculate_course_results();
$percentage     = $course_results['count_items'] ? absint( $course_results['completed_items'] / $course_results['count_items'] * 100 ) : 0;
?>

<div id="popup-header" class="card mb-4">
	<div class="popup-header__inner card-body">
		<div class="d-md-flex align-items-center justify-content-between">

			<h2 class="course-title mb-0 h4">
				<a class="text-inherit" href="<?php echo esc_url( $course->get_permalink() ); ?>"><?php echo esc_html( $course->get_title() ); ?></a>
			</h2>

			<?php if ( $user->has_enrolled_course( $course->get_id() ) ) : ?>
				<div class="items-progress d-flex align-items-center justify-content-between my-2 my-md-0">
					<span class="number me-2"><?php printf( esc_html__( '%1$s of %2$d items', 'geeks' ), '<span class="items-completed">' . $course_results['completed_items'] . '</span>', $course->count_items( '', true ) ); ?></span>
					<div class="learn-press-progress">
						<div class="learn-press-progress__active" data-value="<?php echo esc_attr( $percentage ); ?>%;">
						</div>
					</div>
				</div>
			<?php endif; ?>
 
			<a href="<?php echo esc_url( $course->get_permalink() ); ?>" class="back-course"><i class="fe fe-x-circle"></i></a>
		</div>
 	</div>
</div>
