<?php
/**
 * Template for displaying user time on course.
 *
 * @author  ThimPress
 * @package LearnPress/Templates
 * @version 4.0.1
 */

defined( 'ABSPATH' ) || exit;

/**
 * @var string      $status
 * @var LP_Datetime $start_time
 * @var LP_Datetime $end_time
 * @var LP_Datetime $expiration_time
 */
$time   = current_time( 'mysql', true );
$user   = LP_Global::user();
$course = LP_Global::course();
?>

<ul class="course-time list-group list-group-flush border-bottom mt-1">
	<li class="course-time-row list-group-item bg-transparent d-flex align-items-center px-0">
		<h5 class="mb-0 me-2"><?php esc_html_e( 'You started on:', 'geeks' ); ?></h5>
		<time class="entry-date enrolled"><?php echo esc_html( $start_time->format( 'i18n' ) ); ?></time>
	</li>
	<?php if ( in_array( $status, array( learn_press_user_item_in_progress_slug(), 'enrolled' ) ) ) : ?>
		<?php if ( $expiration_time ) : ?>
			<li class="course-time-row list-group-item bg-transparent d-flex align-items-center px-0">
				<h5 class="mb-0 me-2"><?php esc_html_e( 'Course will end:', 'geeks' ); ?></h5>
				<time class="entry-date expire"><?php echo esc_html( $expiration_time->format( 'i18n' ) ); ?></time>
			</li>
		<?php else : ?>
			<li class="course-time-row list-group-item bg-transparent d-flex align-items-center px-0">
				<h5 class="mb-0 me-2"><?php esc_html_e( 'Duration:', 'geeks' ); ?></h5>
				<?php esc_html_e( 'Lifetime', 'geeks' ); ?>
			</li>
		<?php endif; ?>
	<?php elseif ( $status === 'finished' && $end_time ) : ?>
		<li class="course-time-row list-group-item bg-transparent d-flex align-items-center px-0">
			<h5 class="mb-0 me-2"><?php esc_html_e( 'You finished on:', 'geeks' ); ?></h5>
			<time class="entry-date finished"><?php echo esc_html( $end_time->format( 'i18n' ) ); ?></time>
		</li>
	<?php endif; ?>
</ul>
