<?php
/**
 * Geeks Course Loop Grid View
 */

?><div class="card mb-4 card-hover">
	
	<a href="<?php the_permalink(); ?>" class="card-img-top">
		<?php if ( has_post_thumbnail() ) : ?>
			<?php the_post_thumbnail( 'full', array( 'class' => 'card-img-top rounded-top-md' ) ); ?>
		<?php endif; ?>
	</a>
	<!-- Card body -->
	<div class="card-body">

		<?php do_action( 'geeks_courses_card_body_top' ); ?>
		
		<h4 class="mb-2 text-truncate-line-2 ">
			<a href="<?php the_permalink(); ?>" class="text-inherit"><?php the_title(); ?></a>
		</h4>
		
		<?php if ( isset( $post_meta_items ) ) : ?>
		<!-- List inline -->
		<ul class="mb-3 list-inline">
			<?php 
			foreach ( $post_meta_items as $post_meta_item ) :
				
				ob_start();
				call_user_func( $post_meta_item );
				$list_item = ob_get_clean();
				
				if ( ! empty( $list_item ) ) :
			?>
			<li class="list-inline-item"><?php echo wp_kses( $list_item, 'post-svg' ); ?></li>
			<?php 
				endif;
			endforeach; 
			?>
		</ul>
		<?php endif; ?>
		
		<?php if ( isset( $post_average_rating ) && isset( $post_rating_count ) ) : ?>
		<div class="lh-1">
			<?php geeks_display_course_rating( $post_average_rating, $post_rating_count ); ?>
		</div>
		<?php endif; ?>

		<?php if ( isset( $price_html ) ) : ?>
		<div class="lh-1 mt-3 text-dark fw-bold">
		<?php echo wp_kses( $price_html, array( 'span' => array( 'class' => true ), 'del' => array( 'class' => true ), 'ins' => array( 'class' => true ) ) ); ?>
        </div>
    	<?php endif; ?>

		<?php do_action( 'geeks_courses_card_body_bottom' ); ?>
	
	</div>

	<!-- Card footer -->
	<div class="card-footer">
		<!-- Row -->
		<div class="row align-items-center g-0">
			<?php do_action( 'geeks_courses_loop_footer' ); ?>
		</div>
	</div>
</div>