<?php
$thumbnail_size = apply_filters( 'geeks_loop_course_thumbnail_size', 'full' );
?>
<div class="card mb-4 card-hover">
	<div class="row g-0">
		<a class="col-12 col-md-12 col-xl-3 col-lg-3 bg-cover img-left-rounded" style="background-image: url(<?php the_post_thumbnail_url( $thumbnail_size ); ?>);" href="<?php the_permalink(); ?>">
			<?php the_post_thumbnail( $thumbnail_size, array( 'class' => 'img-fluid d-lg-none invisible' ) ); ?>
		</a>
		<div class="col-lg-9 col-md-12 col-12">
		<!-- Card body -->
			<div class="card-body">
				<h3 class="mb-2 text-truncate-line-2 "><a href="<?php the_permalink(); ?>" class="text-inherit"><?php the_title(); ?></a></h3>
				<?php if ( isset( $post_meta_items ) ) : ?>
				<!-- List inline -->
				<ul class="mb-5 list-inline">
					<?php 
					foreach ( $post_meta_items as $post_meta_item ) :
						
						ob_start();
						call_user_func( $post_meta_item );
						$list_item = ob_get_clean();
						
						if ( ! empty( $list_item ) ) :
					?>
					<li class="list-inline-item"><?php echo wp_kses( $list_item, 'post-svg' ); ?></li>
					<?php 
						endif;
					endforeach; 
					?>
				</ul>
				<?php endif; ?>
				<!-- Row -->
				<div class="row align-items-center g-0">
					<?php do_action( 'geeks_courses_loop_footer' ); ?>
				</div>
			</div>
		</div>
	</div>
</div>