<!-- Card -->
<div class="card">
	<!-- Card body -->
	<div class="card-body">
		<div class="d-flex align-items-center">
			<div class="position-relative">
				<?php echo get_avatar( get_the_author_meta( 'ID' ), 80, '', '', array( 'class' => 'rounded-circle avatar-xl' ) ); ?>

				<?php if ( isset( $is_verified ) && $is_verified ) : ?>
				<a href="#" class="position-absolute mt-2 ms-n3" data-bs-toggle="tooltip" data-placement="top" data-bs-original-title="Verifed">
					<img src="<?php echo esc_url( get_template_directory_uri() ); ?>/assets/images/svg/checked-mark.svg" alt="" height="30" width="30">
				</a>
				<?php endif; ?>
			
			</div>
			
			<div class="ms-4">
				<h4 class="mb-0"><?php the_author(); ?></h4>
				<?php if ( isset( $byline ) ) : ?>
				<p class="mb-1 fs-6"><?php echo esc_html( $byline ); ?></p>
				<?php endif; ?>
				
				<?php if ( isset( $rating ) ) : ?>
				<span class="fs-6"><span class="text-warning"><?php echo number_format_i18n( floatval( $rating ), 1 ); ?></span><span class="mdi mdi-star text-warning me-2"></span><?php esc_html_e( 'Instructor Rating', 'geeks' ); ?></span>
				<?php endif; ?>
			</div>
		
		</div>
		<?php if ( isset( $stats ) ) : ?>
		<div class="border-top row mt-3 border-bottom mb-3 g-0">
			<?php foreach ( $stats as $stat ) : ?>
			<div class="col<?php if ( isset( $first ) ): ?> border-start<?php endif; ?>">
				<div class="pe-1 ps-<?php if ( isset( $first ) ) : ?>3<?php else: ?>2<?php endif; $first = false; ?> py-3">
					<h5 class="mb-0"><?php echo number_format_i18n( $stat['value'] ); ?></h5>
					<span><?php echo esc_html( $stat['label'] ); ?></span>
				</div>
			</div>
			<?php endforeach; ?>
		</div>
		<?php endif; ?>
		
		<?php if ( isset( $bio ) ) : ?>
		<div class="mb-3 mb-0-last-child"><?php echo wp_kses_post( $bio ); ?></div>
		<?php endif; ?>

		<?php global $authordata; ?>

		<a href="<?php echo esc_url(tutor_utils()->profile_url(  $authordata->ID, true ) ); ?>" class="btn btn-outline-white btn-sm"><?php esc_html_e( 'View Details', 'geeks' ); ?></a>
	</div>
</div>