<?php if ( has_post_thumbnail() ) : 
global $post;

$video       = maybe_unserialize(get_post_meta($post->ID, '_video', true));
$videoSource = tutor_utils()->avalue_dot('source', $video);
$video_info = tutor_utils()->get_video_info();
$poster = tutor_utils()->avalue_dot('poster', $video_info);
$poster_url = $poster ? wp_get_attachment_url($poster) : '';

if ( 'external_url' === $videoSource ) {
	$video_source_value = 'source_external_url';
} elseif ( 'youtube' === $videoSource ) {
	$video_source_value = 'source_youtube';
} elseif ( 'vimeo' === $videoSource ) {
	$video_source_value = 'source_vimeo';
} 
?>
<div class="p-1">
	<div class="d-flex justify-content-center position-relative rounded py-10 border-white border rounded-3 bg-cover" style="background-image: url(<?php echo esc_url( get_the_post_thumbnail_url() ); ?>); height:202px;">
		<?php if ( tutor_utils()->has_video_in_single() ) { ?>
			<?php if ( 'embedded' === $videoSource ) { ?>
				<button type="button" class="popup-youtube icon-shape rounded-circle btn-play icon-xl text-decoration-none shadow-none border-0" data-bs-toggle="modal" data-bs-target="#embeddedVideo">
					<i class="fe fe-play"></i>
					<div class="modal fade" id="embeddedVideo" tabindex="-1" role="dialog" aria-hidden="true">
					  	<div class="modal-dialog modal-dialog-centered" role="document">
					  	    <div class="modal-content">
					  	    	<div class="modal-body p-0">
									<?php echo tutor_utils()->avalue_dot('source_embedded', $video); ?>
	                			</div>
	            			</div>
	            		</div>
	            	</div>
				</button>
			<?php } elseif ( 'html5' === $videoSource ) { ?>
				<a class="popup-youtube icon-shape rounded-circle btn-play icon-xl text-decoration-none" href="<?php echo esc_url( wp_get_attachment_url($video_info->source_video_id) ) ; ?>">
					<i class="fe fe-play"></i>
				</a>
			<?php } elseif ( $videoSource === 'external_url' || $videoSource === 'youtube' || $videoSource === 'vimeo' ) { ?>
				<a class="popup-youtube icon-shape rounded-circle btn-play icon-xl text-decoration-none" href="<?php echo tutor_utils()->avalue_dot( $video_source_value, $video); ?>">
					<i class="fe fe-play"></i>
				</a>
			<?php }
		} ?>
	</div>
</div>
<?php endif; ?>
