<?php
/**
 * Announcements Create Page
 *
 * @package Tutor\Templates
 * @subpackage Dashboard\Announcements
 * @author Themeum <support@themeum.com>
 * @link https://themeum.com
 * @since 1.0.0
 */

?>
<!--create announcements modal-->
<div class="modal fade tutor-modal-wrap tutor-announcements-modal-wrap tutor-accouncement-create-modal5" id="createAnnouncement" tabindex="-1" role="dialog" aria-labelledby="createAnnouncementLabel" aria-hidden="true">
	<div class="modal-dialog modal-dialog-centered modal-lg" role="document">
		<div class="modal-content">
			<div class="modal-header align-items-center d-flex">
				<h4 class="modal-title" id="createAnnouncementLabel">
					<?php esc_html_e( 'Create New Announcement', 'geeks' ); ?>
				</h4>
				<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
					<span aria-hidden="true"><i class="fe fe-x-circle"></i></span>
				</button>
			</div>

			<div class="modal-body">
				<form action="" class="tutor-announcements-form">
					<?php tutor_nonce_field(); ?>
					<div class="tutor-form-group mb-3">
						<label class="form-label">
							<?php esc_html_e( 'Select Course', 'geeks' ); ?>
						</label>
						<select class="ignore-nice-select selectpicker" name="tutor_announcement_course" data-width="100%" id="" required>
							<?php if ( $courses ) : ?>
								<?php foreach ( $courses as $course ) : ?>
									<option value="<?php echo esc_attr( $course->ID ); ?>">
										<?php echo esc_html( $course->post_title ); ?>
									</option>
								<?php endforeach; ?>
							<?php else : ?>
								<option value=""><?php esc_html_e( 'No course found', 'geeks' ); ?></option>
							<?php endif; ?>
						</select>
					</div>

					<div class="tutor-form-group mb-3">
						<label class="form-label">
							<?php esc_html_e( 'Announcement Title', 'geeks' ); ?>
						</label>
						<input type="text" class="form-control" name="tutor_announcement_title" value="" placeholder="<?php esc_attr_e( 'Announcement title', 'geeks' ); ?>" required>
					</div>

					<div class="tutor-form-group mb-3">
						<label class="form-label" for="tutor_announcement_course">
							<?php esc_html_e( 'Summary', 'geeks' ); ?>
						</label>
						<textarea rows="6" class="form-control" type="text" name="tutor_announcement_summary" value="" placeholder="<?php esc_html_e( 'Summary...', 'geeks' ); ?>" required></textarea>
					</div>

					<?php do_action( 'tutor_announcement_editor/after' ); //phpcs:ignore WordPress.NamingConventions.ValidHookName.UseUnderscores ?>

					<div class="tutor-form-group mb-3">
						<div class="tutor-announcements-create-alert"></div>
					</div>

					<div class="action-buttons">
						<button type="submit" class="btn btn-primary tutor-btn"><?php esc_html_e( 'Publish', 'geeks' ); ?></button>
						<button type="button" class="btn btn-outline-white quiz-modal-tab-navigation-btn  quiz-modal-btn-cancel tutor-announcement-close-btn tutor-announcement-cancel-btn" data-bs-dismiss="modal"><?php esc_html_e( 'Cancel', 'geeks' ); ?></button>
					</div>
				</form>
			</div>
		</div>
	</div>
</div>

<!--create announcements modal end-->
