<?php
/**
 * Announcements Update Page
 *
 * @package Tutor\Templates
 * @subpackage Dashboard\Announcements
 * @author Themeum <support@themeum.com>
 * @link https://themeum.com
 * @since 1.0.0
 */

?>
<!--update announcements modal-->
<div class="modal fade tutor-accouncement-update-modal" id="editAnnouncement" tabindex="-1" role="dialog" aria-labelledby="editAnnouncementLabel" aria-hidden="true">
	<div class="modal-dialog  modal-dialog-centered modal-lg" role="document">
		<div class="modal-content">
			<div class="modal-header align-items-center d-flex">
				<h4 class="modal-title" id="editAnnouncementLabel">
					<?php esc_html_e( 'Update Announcement', 'geeks' ); ?>
				</h4>
				<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
					<span aria-hidden="true"><i class="fe fe-x-circle"></i></span>
				</button>
			</div>

			<div class="modal-body">
				<form action="" class="tutor-announcements-update-form">
					<?php tutor_nonce_field(); ?>
					<input type="hidden" name="announcement_id" id="announcement_id">
					<div class="tutor-form-group mb-3">
						<label class="form-label">
							<?php esc_html_e( 'Select Course', 'geeks' ); ?>
						</label>
						<select class="ignore-nice-select selectpicker" name="tutor_announcement_course" id="tutor-announcement-course-id" data-width="100%" required>
							<?php if ( $courses ) : ?>
								<?php foreach ( $courses as $course ) : ?>
									<option value="<?php echo esc_attr( $course->ID ); ?>">
										<?php echo esc_html( $course->post_title ); ?>
									</option>
								<?php endforeach; ?>
							<?php else : ?>
								<option value=""><?php esc_html_e( 'No course found', 'geeks' ); ?></option>
							<?php endif; ?>
						</select>
					</div>
					<div class="tutor-form-group mb-3">
						<label class="form-label">
							<?php esc_html_e( 'Announcement Title', 'geeks' ); ?>
						</label>
						<input class="form-control" type="text" name="tutor_announcement_title" id="tutor-announcement-title" value="" placeholder="<?php esc_attr_e( 'Announcement title', 'geeks' ); ?>" required>
					</div>
					<div class="tutor-form-group mb-3">
						<label class="form-label" for="tutor_announcement_course">
							<?php esc_html_e( 'Summary', 'geeks' ); ?>
						</label>
						<textarea class="form-control" rows="6" type="text" id="tutor-announcement-summary" name="tutor_announcement_summary" value="" placeholder="<?php esc_attr_e( 'Summary...', 'geeks' ); ?>" required></textarea>
					</div>
					<?php do_action( 'tutor_announcement_editor/after' ); //phpcs:ignore WordPress.NamingConventions.ValidHookName.UseUnderscores ?>
					<div class="tutor-form-group mb-3">
						<div class="tutor-announcements-update-alert"></div>
					</div>
					<div class="action-buttons">
						<button type="submit" class="btn btn-primary tutor-btn"><?php esc_html_e( 'Update', 'geeks' ); ?></button>
						<button type="button" class="btn btn-outline-white quiz-modal-tab-navigation-btn  quiz-modal-btn-cancel tutor-announcement-close-btn5 tutor-announcement-cancel-btn5" data-bs-dismiss="modal"><?php esc_html_e( 'Cancel', 'geeks' ); ?></button>
					</div>
				</form>
			</div>
		</div>
	</div>
</div>
<!--update announcements modal end-->
