<?php
/**
 * @package TutorLMS/Templates
 * @version 1.4.3
 */

?>

<div class="tutor-date-range-filter-wrap card mb-4">
	<div class="card-body">
		<?php
		$time_periods = array(
			'last_year'  => esc_html__( 'Last Year', 'geeks' ),
			'this_year'  => esc_html__( 'This Year', 'geeks' ),
			'last_month' => esc_html__( 'Last Month', 'geeks' ),
			'this_month' => esc_html__( 'This Month', 'geeks' ),
			'last_week'  => esc_html__( 'Last Week', 'geeks' ),
			'this_week'  => esc_html__( 'This Week', 'geeks' ),
		);
		?>
		<ul class="report-top-sub-menu list-unstyled d-flex align-items-center nav nav-lb-tab mb-4">
			<?php
			$index = 0;

			foreach ( $time_periods as $period => $period_name ) {
				$activeClass = ( $sub_page === $period ) ? 'active' : '';
				$navClass    = ( $index === 0 ) ? ' ms-0' : '';

				$timePeriodPageURL = add_query_arg( array( 'time_period' => $period ) );
				$timePeriodPageURL = remove_query_arg( array( 'date_range_from', 'date_range_to', 'tutor_report_action' ), $timePeriodPageURL );

				echo '<li class="nav-item' . $navClass . '"><a href="' . $timePeriodPageURL . '" class="nav-link py-2 ' . $activeClass . '">' . $period_name . '</a></li> ';
				$index++;
			}
			?>
		</ul>

		<div class="tutor-date-range-wrap">
			<form action="" class="report-date-range-form d-md-flex" method="get">
				<?php
				$query_arg = $_GET;
				if ( ! empty( $query_arg ) && is_array( $query_arg ) ) {
					if ( isset( $query_arg['time_period'] ) ) {
						unset( $query_arg['time_period'] );
					}

					foreach ( $query_arg as $name => $value ) {
						echo "<input type='hidden' name='{$name}' value='{$value}' />";
					}
				}

				$date_range_from = '';
				if ( isset( $query_arg['date_range_from'] ) ) {
					$date_range_from = sanitize_text_field( $query_arg['date_range_from'] );
				}
				$date_range_to = '';
				if ( isset( $query_arg['date_range_to'] ) ) {
					$date_range_to = sanitize_text_field( $query_arg['date_range_to'] );
				}
				?>

				<div class="date-range-input">
					<div class="input-group">
						<input type="text" name="date_range_from" class="form-control text-dark flatpickr" value="<?php echo esc_attr( $date_range_from ); ?>" autocomplete="off" placeholder="<?php echo date( 'Y-m-d', strtotime( 'last sunday midnight' ) ); ?>" />
						<span class="input-group-text text-muted"><i class="fe fe-calendar"></i></span>
					</div>
				</div>

				<div class="date-range-input ms-md-4 mt-4 mt-md-0">
					<div class="input-group">
						<input type="text" name="date_range_to" class="form-control text-dark flatpickr" value="<?php echo esc_attr( $date_range_to ); ?>" autocomplete="off" placeholder="<?php echo date( 'Y-m-d' ); ?>" />
						<span class="input-group-text text-muted"><i class="fe fe-calendar"></i></span>
					</div>
				</div>

				<div class="date-range-input ms-md-4 mt-4 mt-md-0">
					<button class="btn btn-primary" type="submit"><i class="tutor-icon-magnifying-glass-1"></i> </button>
				</div>
			</form>
		</div>
	</div>
</div>
