<?php
/**
 * Template for displaying Instructor Earning Report
 *
 * @since v.1.1.2
 *
 * @author Themeum
 * @url https://themeum.com
 *
 * @package TutorLMS/Templates
 * @version 1.4.3
 */


if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$sub_page = 'this_month';
if ( ! empty( $_GET['time_period'] ) ) {
	$sub_page = sanitize_text_field( $_GET['time_period'] );
}
if ( ! empty( $_GET['date_range_from'] ) && ! empty( $_GET['date_range_to'] ) ) {
	$sub_page = 'date_range';
}
?>

<div class="tutor-dashboard-inline-links px-1 mb-4">
	<ul class="list-unstyled d-flex align-items-center nav nav-pills">

		<li class="nav-item ms-0">
			<a class="nav-link" href="<?php echo tutor_utils()->get_tutor_dashboard_page_permalink( 'earning' ); ?>"> 
				<?php esc_html_e( 'Earning', 'geeks' ); ?>
			</a>
		</li>

		<li class="nav-item">
			<a class="nav-link active" href="<?php echo tutor_utils()->get_tutor_dashboard_page_permalink( 'earning/report' ); ?>"> 
				<?php esc_html_e( 'Report', 'geeks' ); ?> 
			</a>
		</li>

		<li class="nav-item">
			<a class="nav-link" href="<?php echo tutor_utils()->get_tutor_dashboard_page_permalink( 'earning/statements' ); ?>">
				<?php esc_html_e( 'Statements', 'geeks' ); ?>
			</a>
		</li>
	</ul>
</div>

<?php
   tutor_load_template( 'dashboard.earning.earning-report-top-menu', compact( 'sub_page' ) );
   tutor_load_template( 'dashboard.earning.report-' . $sub_page );
?>
