<?php
/**
 * My Profile Page
 *
 * @package Tutor\Templates
 * @subpackage Dashboard
 * @author Themeum <support@themeum.com>
 * @link https://themeum.com
 * @since 1.4.3
 */


$uid  = get_current_user_id();
$user = get_userdata( $uid );

$rdate = tutor_utils()->convert_date_into_wp_timezone( date( 'D d M Y, h:i:s a', strtotime( $user->user_registered ) ) );
$fname = $user->first_name;
$lname = $user->last_name;
$uname = $user->user_login;
$email = $user->user_email;
$phone = get_user_meta( $uid, 'phone_number', true );
$job   = nl2br( wp_strip_all_tags( get_user_meta( $uid, '_tutor_profile_job_title', true ) ) );
$bio   = get_user_meta( $uid, '_tutor_profile_bio', true );
?>
<div class="card">
	<div class="card-header">
		<h3 class="mb-0"><?php echo esc_html__( 'My Profile', 'geeks' ); ?></h3>
	</div>
	<div class="tutor-dashboard-content-inner card-body">
		<div class="tutor-dashboard-profile">
			<div class="tutor-dashboard-profile-item">
				<div class="heading h5">
					<span><?php echo esc_html__( 'Registration Date', 'geeks' ); ?></span>
				</div>
				<div class="content">
					<p><?php echo esc_html( $rdate ); ?>&nbsp;</p>
				</div>
			</div>
			<div class="tutor-dashboard-profile-item">
				<div class="heading h5">
					<span><?php echo esc_html__( 'First Name', 'geeks' ); ?></span>
				</div>
				<div class="content">
					<p><?php echo wp_kses_post( $fname ? $fname : esc_html( '________' ) ); ?>&nbsp;</p>
				</div>
			</div>
			<div class="tutor-dashboard-profile-item">
				<div class="heading h5">
					<span><?php echo esc_html__( 'Last Name', 'geeks' ); ?></span>
				</div>
				<div class="content">
					<p><?php echo wp_kses_post( $lname ? $lname : esc_html__( '________', 'geeks' ) ); ?>&nbsp;</p>
				</div>
			</div>
			<div class="tutor-dashboard-profile-item">
				<div class="heading h5">
					<span><?php echo esc_html__( 'Username', 'geeks' ); ?></span>
				</div>
				<div class="content">
					<p><?php echo wp_kses_post( $uname ); ?>&nbsp;</p>
				</div>
			</div>
			<div class="tutor-dashboard-profile-item">
				<div class="heading h5">
					<span><?php echo esc_html__( 'Email', 'geeks' ); ?></span>
				</div>
				<div class="content">
					<p><?php echo wp_kses_post( $email ); ?>&nbsp;</p>
				</div>
			</div>
			<div class="tutor-dashboard-profile-item">
				<div class="heading h5">
					<span><?php echo esc_html__( 'Phone Number', 'geeks' ); ?></span>
				</div>
				<div class="content">
					<p><?php echo wp_kses_post( $phone ? $phone : '________' ); ?>&nbsp;</p>
				</div>
			</div>

			<div class="tutor-dashboard-profile-item">
				<div class="heading h5">
					<span><?php echo esc_html__( 'Bio', 'geeks' ); ?></span>
				</div>
				<div class="content">
					<p><?php echo wp_kses_post( $bio ? $bio : '________' ); ?>&nbsp;</p>
				</div>
			</div>
		</div>
	</div>
</div>
