<?php
/**
 * My Quiz Attempts
 *
 * @package Tutor\Templates
 * @subpackage Dashboard
 * @author Themeum <support@themeum.com>
 * @link https://themeum.com
 * @since 1.1.2
 */

use TUTOR\Input;
use Tutor\Models\QuizModel;

if ( Input::has( 'view_quiz_attempt_id' ) ) {
    // Load single attempt details if ID provided
    tutor_load_template_from_custom_path(tutor()->path . 'templates/dashboard/my-quiz-attempts/attempts-details.php' );
    return;
}

$item_per_page = tutor_utils()->get_option( 'pagination_per_page' );
$current_page  = max( 1, Input::get( 'current_page', 1, Input::TYPE_INT ) );
$offset        = ( $current_page - 1 ) * $item_per_page;

// Filter params.
$course_filter = Input::get( 'course-id' );
$order_filter  = Input::get( 'order', 'DESC' );
$date_filter   = Input::get( 'date', '' );
$course_id     = isset( $course_id ) ? $course_id : array();


$quiz_attempts = QuizModel::get_quiz_attempts_by_course_ids( $offset, $item_per_page, $course_id, '', $course_filter, $date_filter, $order_filter, get_current_user_id() );
?>
<div class="card">
    <div class="card-body">
        <h4 class="mb-0"><?php esc_html_e('My Quiz Attempts', 'geeks'); ?></h4>
    </div>
</div>
<?php
    tutor_load_template_from_custom_path(tutor()->path . '/views/quiz/attempt-table.php', array(
        'attempt_list' => $quiz_attempts,
        'context' => 'frontend-dashboard-my-attempts'
    ));
?>
