<?php
/**
 * Reset password
 *
 * @package Tutor\Templates
 * @subpackage Dashboard\Settings
 * @author Themeum <support@themeum.com>
 * @link https://themeum.com
 * @version 1.4.3
 */

?>

<div class="tutor-dashboard-content-inner">
	<div class="card">
		<div class="card-header">
			<h3 class="mb-0"><?php esc_html_e( 'Reset Password', 'geeks' ); ?></h3>
			<p class="mb-0"><?php echo esc_html__( 'Edit your account settings and change your password here.', 'geeks' ); ?></p>
		</div>

		<div class="tutor-reset-password-form-wrap card-body">

			<form action="" method="post" enctype="multipart/form-data" class="row">
				<?php do_action( 'tutor_reset_password_input_before' ); ?>

		        <div class="col-lg-6 col-md-12 col-12">
		            <div class="mb-3">
		                <label class="form-label"> <?php esc_html_e('Current Password', 'geeks'); ?> </label>
		                <input class="form-control" type="password" name="previous_password">
		            </div>

		            <div class="mb-3">
						<div class="tutor-password-strength-checker">
							<div class="tutor-password-field">
								<label class="field-label tutor-form-label" for="new-password-1">
									<?php esc_html_e( 'New Password', 'geeks' ); ?>
								</label>
								<div class="field-group">
									<input
										class="password-checker form-control"
										id="new-password-1"
										type="password"
										name="new_password"
										placeholder="Type Password"
									/>
									<span class="show-hide-btn"></span>
								</div>
							</div>
							<div class="tutor-password-strength-hint">
								<div class="indicator">
									<span class="weak"></span>
									<span class="medium"></span>
									<span class="strong"></span>
								</div>
								<div class="text text-regular-caption color-text-hints"></div>
							</div>
						</div>
					</div>

					<div class="mb-3">
						<div class="tutor-password-field tutor-settings-pass-field">
							<label class="field-label tutor-form-label" for="password-field-icon-1">
								<?php esc_html_e( 'Re-type New Password', 'geeks' ); ?>
							</label>
							<div class="tutor-form-wrap">
								<span class="tutor-validation-icon tutor-icon-mark tutor-color-success tutor-form-icon tutor-form-icon-reverse" style="display: none;"></span>
								<input
									class="tutor-form-control form-control"
									id="tutor-confirm-password"
									type="password"
									placeholder="Type Password"
									name="confirm_new_password"
								/>
							</div>
						</div>
					</div>
		        
					<?php do_action( 'tutor_reset_password_input_after' ); ?>
				
					<button type="submit" class="btn btn-primary tutor-profile-password-reset">
						<?php esc_html_e( 'Reset Password', 'geeks' ); ?>
					</button>
				</div>
					
			</form>
		</div>
	</div>
</div>
