<?php
/**
 * Display single login
 *
 * @package Tutor\Templates
 * @author Themeum <support@themeum.com>
 * @link https://themeum.com
 * @since 1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if(!tutor_utils()->get_option('enable_tutor_native_login', null, true, true)) {
	// Redirect to wp native login page.
	header( 'Location: ' . wp_login_url( gke_get_server_request_uri() ) );
	exit;
}

$login_url = tutor_utils()->get_option('enable_tutor_native_login', null, true, true) ? '' : wp_login_url(tutor()->current_url);

add_filter( 'geeks_navbar_disabled', '__return_true' );

get_header();

//phpcs:ignore WordPress.NamingConventions.ValidHookName.UseUnderscores
do_action( 'tutor/template/login/before/wrap' );

?>
<div <?php tutor_post_class('tutor-page-wrap'); ?>>
	<div class="container d-flex flex-column">
	    <div class="tutor-template-segment tutor-login-wrap row align-items-center justify-content-center g-0 min-vh-100">
	        <div class="col-lg-5 col-md-8 py-8 py-xl-0">
	        	<div class="card shadow">
	        		<div class="card-body p-6">
	        			<div class="tutor-template-segment tutor-login-wrap">
	        				<?php geeks_tutor_popup_login_header(); ?>

							<div class="tutor-template-login-form">
		        			<?php
				                // load form template.
                				$login_form = trailingslashit( tutor()->path ) . 'templates/login-form.php';
               		        	tutor_load_template_from_custom_path(__DIR__.'/login-form.php');

				            ?>
				        </div>
				    </div>
			           
			         
			        </div>
			    </div>
	        </div>
	        <?php do_action( 'tutor_after_login_form_wrapper' ); ?>
	    </div>
	</div>
</div>


<?php
	//phpcs:ignore WordPress.NamingConventions.ValidHookName.UseUnderscores
    do_action('tutor/template/login/after/wrap');
    //tutor_load_template( 'global.login' );
    get_footer();
 
?>
