<?php
/**
 * Template for displaying tutor_course shortcode.
 *
 * @package TutorLMS/Templates
 * @version 1.4.3
 */

$column_per_row    = $GLOBALS['tutor_shortcode_arg']['column_per_row'];
$course_per_page   = $GLOBALS['tutor_shortcode_arg']['course_per_page'];
$course_filter     = null === $GLOBALS['tutor_shortcode_arg']['include_course_filter'] ? (bool) tutor_utils()->get_option( 'course_archive_filter', false ) : $GLOBALS['tutor_shortcode_arg']['include_course_filter'];
$supported_filters = tutor_utils()->get_option( 'supported_course_filters', array() );

if ( $course_filter && count( $supported_filters ) ) { ?>
	<div class="tutor-course-filter-wrapper row">
		<div class="tutor-course-filter-container col-xl-3 col-lg-3 col-md-4 col-12 mb-4 mb-lg-0">
			<?php tutor_load_template( 'course-filter.filters' ); ?>
		</div>
		<div class="col-xl-9 col-lg-9 col-md-8 col-12">
			<div class="<?php tutor_container_classes(); ?> tutor-course-filter-loop-container" data-column_per_row="<?php echo esc_attr( $column_per_row ); ?>" data-course_per_page="<?php echo esc_attr( $course_per_page ); ?>"> 
			<?php
}
if ( have_posts() ) :
	/* Start the Loop */

	tutor_course_loop_start();

	while ( have_posts() ) :
		the_post();

		do_action( 'tutor_course/archive/before_loop_course' ); // phpcs:ignore WordPress.NamingConventions.ValidHookName.UseUnderscores

		tutor_load_template( 'loop.course' );

		do_action( 'tutor_course/archive/after_loop_course' ); // phpcs:ignore WordPress.NamingConventions.ValidHookName.UseUnderscores

	endwhile;

	tutor_course_loop_end();

				endif;

if ( $course_filter && count( $supported_filters ) ) {
	?>
			</div><!-- .wrap -->
		</div>
	</div>
<?php }
?>
