<?php
/**
 * Template for displaying course Material Includes assets
 *
 * @since v.1.0.0
 *
 * @author Themeum
 * @url https://themeum.com
 *
 * @package TutorLMS/Templates
 * @version 1.4.3
 */


do_action('tutor_course/single/before/material_includes');

$materials = tutor_course_material_includes();

if ( empty($materials)){
	return;
}

if (is_array($materials) && count($materials)){
	?>

	<div class="card mb-4">
		<div>
			<!-- Card header -->
			<div class="card-header">
				<h4 class="mb-0"><?php esc_html_e( 'What\'s included', 'geeks' ); ?></h4>
			</div>
			<ul class="list-group list-group-flush list-unstyled">
				<?php 
				$total_materials = count( $materials );
				$material_index = 1;
				foreach( $materials as $data ) : 
					$material = explode( '|', $data );
				?>
				<li class="list-group-item bg-transparent<?php if ( $total_materials === $material_index++ ): ?> border-bottom-0<?php endif; ?>"><?php if ( isset( $material[1] ) ): ?><i class="align-middle me-2 <?php echo esc_attr( $material[1] ); ?>"></i><?php endif; ?><?php echo esc_html( $material[0] ); ?></li>
				<?php endforeach; ?>
			</ul>
		</div>
	</div>

<?php } ?>

<?php do_action('tutor_course/single/after/material_includes'); ?>

