<?php
/**
 * Password retrieve template
 *
 * @package Tutor\Templates
 * @subpackage Template_Part
 * @author Themeum <support@themeum.com>
 * @link https://themeum.com
 * @since 1.4.3
 */

defined( 'ABSPATH' ) || exit;

use TUTOR\Input;


if ( Input::get( 'reset_key' ) && Input::get( 'user_id' ) ) {
	tutor_load_template( 'template-part.form-retrieve-password' );
} else {
	do_action( 'tutor_before_retrieve_password_form' );
	?>
<div class="container d-flex flex-column">
	<div class="row align-items-center justify-content-center g-0 min-vh-100">
		<div class="col-lg-5 col-md-8 py-8 py-xl-0">
			<?php echo wp_kses_post( str_replace( 'tutor-', '', tutor_alert( null, 'any', false ) ) ); ?>
			<div class="card shadow">
				<div class="card-body p-6">
					<div class="mb-4">
						<?php geeks_profile_form_branding(); ?>
						<h1 class="mb-1 fw-bold"><?php esc_html_e( 'Forgot Password', 'geeks' ); ?></h1>
						<p><?php echo esc_html( apply_filters( 'tutor_lost_password_message', esc_html__( 'Lost your password? Please enter your username or email address. You will receive a link to create a new password via email.', 'geeks' ) ) ); ?></p>
					</div>
					<form method="post" class="tutor-forgot-password-form tutor-ResetPassword lost_reset_password">
						<?php
							tutor_alert( null, 'any' );
							tutor_nonce_field();
						?>
						<input type="hidden" name="tutor_action" value="tutor_retrieve_password">

						<div class="mb-3">
							<label class="form-label" for="rp_user_login"><?php esc_html_e( 'Username or email', 'geeks' ); ?></label>
							<input class="form-control" type="text" name="user_login" id="rp_user_login" autocomplete="username">
						</div>

						<?php do_action( 'tutor_lostpassword_form' ); ?>

						<div class="mb-3">
							<button type="submit" class="tutor-button tutor-button-primary btn btn-primary" value="<?php esc_attr_e( 'Reset password', 'geeks' ); ?>"><?php esc_html_e( 'Reset password', 'geeks' ); ?></button>
						</div>

					</form>
				</div>
			</div>
		</div>
	</div>
</div>
	<?php
	do_action( 'tutor_after_retrieve_password_form' );
}
