<?php
/**
 * My Account page
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/myaccount/my-account.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates
 * @version 3.5.0
 */

defined( 'ABSPATH' ) || exit;

/**
 * My Account navigation.
 *
 * @since 2.6.0
 */

?>
<div class="pt-5 pb-5">
	<?php do_action( 'geeks_wc_user_account' ); ?>

	<div class="row mt-0 mt-md-4">
		<div class="geeks__account-sidebar col-lg-3 col-md-4 col-12">
			<aside class="navbar navbar-expand-md navbar-light shadow-sm mb-4 mb-lg-0 sidenav">
				<a class="d-xl-none d-lg-none d-md-none text-inherit fw-bold" href="#"><?php echo esc_html__( 'Menu', 'geeks' ); ?></a>
				<button class="navbar-toggler d-md-none icon-shape icon-sm rounded bg-primary text-light" type="button"
					data-bs-toggle="collapse" data-bs-target="#sidenav" aria-controls="sidenav" aria-expanded="false"
					aria-label="Toggle navigation">
					<span class="fe fe-menu"></span>
				</button>
				<?php do_action( 'woocommerce_account_navigation' ); ?>
			</aside>
		</div>

		<div class="col-lg-9 col-md-8 col-12">
			<?php

			if ( ! is_wc_endpoint_url() ) :
				/**
				 * My Account content.
				 *
				 * @since 2.6.0
				 */
				do_action( 'woocommerce_account_content' );
			else :
				?>

				<div class="card mb-4">
					<div class="card-header 
					<?php
					if ( is_wc_endpoint_url( 'orders' ) ) :
						?>
						border-bottom-0 <?php endif; ?>">
						<h3 class="mb-0"><?php geeks_wc_account_title(); ?></h3>
					</div>

					<div class="woocommerce-MyAccount-content">
						<?php if ( ! is_wc_endpoint_url( 'orders' ) ) : ?>
							<div class="card-body">
						<?php endif; ?>
		   
						<?php
							/**
							 * My Account content.
							 *
							 * @since 2.6.0
							 */
							do_action( 'woocommerce_account_content' );
						?>

						<?php if ( ! is_wc_endpoint_url( 'orders' ) ) : ?>
							</div>
						<?php endif; ?>
					</div>
				</div>
			<?php endif; ?>
		</div>
	</div>
</div>
